Class
Fragment
A type for ungapped, pairwise segment matches.

Fragment

ExactFragment | ExactReversableFragment

Fragment<TSize, TSpec>
Include Headers
seqan/graph_types.h
Parameters

TSize | The size type of the underlying sequences. Metafunctions: Size
TSpec | The specializing type. Metafunctions: Spec Default: ExactFragment

Specializations

ExactFragment | A type for ungapped, pairwise segment matches.
ExactReversableFragment | A type for ungapped, pairwise segment matches that may be in reverse orientation.

Functions

fragmentBegin | Gets the begin position for this fragment or this vertex descriptor in the sequence.
fragmentLength | Gets the length of the label of a given vertex descriptor in the sequence.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
isReversed | Returns true if the segment match is in reverse orientation.
label | Gets the label that is associated with this vertex descriptor.
matchRefinement | Refines (i.e. cuts into smaller parts) a set of pairwise segment matches in such a way that none of the segments partly overlap. They are either identical (fully overlapping) or non-overlapping.
sequenceId | Gets the sequence id that is associated with this vertex descriptor or with a sequence of a fragment.

Examples
A small example using fragments.
// Construct fragment.
unsigned seqId1 = 0, beg1 = 0, seqId2 = 32, beg2 = 42, len = 33;
Fragment<> fragment(seqId1, beg1, seqId2, beg2, len);
// Update fragment's properties.
fragmentBegin(fragment, 0) = 10;
fragmentBegin(fragment, 1) = 10;
sequenceId(fragment, 0) = 33;
sequenceId(fragment, 1) = 44;
fragmentLength(fragment) += 42;
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2014/10/13 16:12:56